Summary: RPM Installer/Updater
Name: yumi
Version: 2.0.7
Release: 2
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
#Source1: yum.conf
#Source2: yum.cron
URL: http://www.cobind.com/yumgui.html
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python, yum >= 2.0.7, pygtk2 
Prereq: /sbin/chkconfig, /sbin/service

%description
GUI written on top of YUM.

%prep
%setup -q

%build
./py-compile *.py

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/yum
mkdir -p $RPM_BUILD_ROOT%{_bindir}/yum
install -m 755 yumgui.pyc $RPM_BUILD_ROOT%{_datadir}/yum/.
install -m 755 progress_bar.pyc $RPM_BUILD_ROOT%{_datadir}/yum/.
install -m 755 yumi $RPM_BUILD_ROOT%{_datadir}/yum/.
install -m 755 yumi.png $RPM_BUILD_ROOT%{_datadir}/yum/.
ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT%{_bindir}/yumi
chmod +x $RPM_BUILD_ROOT%{_datadir}/yum/yumi
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
install -m 755 yumi.pam $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/yumi
install -m 755 yumi.console.app $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/yumi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post


%preun



%files 
%defattr(-, root, root)
%{_datadir}/yum/*
%{_bindir}/yumi
%config(noreplace) %{_sysconfdir}/pam.d/yumi
%config(noreplace) %{_sysconfdir}/security/console.apps/yumi

%changelog
* Tue Jun 15 2004 Troy Dawson <dawson@fnal.gov>
- Changed splash screen and product_name to yumi, from cobind

* Sat Jun 12 2004 Bryan Mills <bryan@cobind.com>
- First packaging
